Bug 1315132 - Add a script to run before the database
Add a script to run before the database
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
4.4
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-06 20:14 EST by Jeff Fearn
Modified: 2016-04-18 01:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-18 01:02:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2016-03-06 20:14:23 EST
Description of problem:
We need to run a script before rh-database-update.pl is run for an upgrade from BZ-4 to BZ-5, to clean any data that will break the upgrade.

Rename bz5-cleanup.pl to bz5-post-db-update.pl and name the new script bz5-pre-db-update.pl

Current know issue is that there are two polarion entries that will break on the new index.
Comment 1 Rony Gong 2016-03-22 05:58:45 EDT
Verified the issue.
The result is PASS.
version 5.0.2.rh2
That 2 scripts could execute smoothly in the server.

Note You need to log in before you can comment on or make changes to this bug.